PHP is one of the most widely used multiparadigm programming languages. It is quite popular because it’s free software, which you can use to set up responsive websites like community web portals, online stores or e-teaching portals as opposed to static HTML-based websites. A PHP module must be activated on the web server where a PHP-driven website is hosted so that its code can be ‘decoded’. Since there are no license fees for this kind of module and the language offers limitless possibilities for the Internet applications that you build, there’re 100s of millions of PHP-driven sites. Moreover, there’re heaps of PHP-based scripts, which you can use for your sites without having to possess any coding expertise. Since there’re several versions of PHP, you ought to confirm that the exact same version that you used while building your site is available on the server too.

PHP 4, PHP 5 and PHP 7 Support in Cloud Web Hosting

If you order a cloud web hosting plan from our company, you’ll never need to speculate over whether your sites are compatible with the hosting platform, since different versions of PHP are enabled on our servers for your convenience’s sake. The Hepsia hosting Control Panel will permit you to select PHP 4, PHP 5 and PHP 7 with just one single click and in case you want to change the version, the new settings will take effect straight away. In this way, several years of work on sites built with an older version will not be lost. Our hosting platform will even permit you to use a different PHP version for each domain hosted in your account, which implies that you can use newer and older scripts at the same time. Most web hosting companies on the market offer support for one, sometimes for two versions of PHP. In contrast to them, we think that you should be the one to pick the version that will be used by your very own websites.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Hosting

Even if your sites were built with an older version of PHP, you’ll be able to host them in a semi-dedicated server account from us, since we support different versions running simultaneously on our semi-dedicated servers and each of them can be enabled for your account with no more than a click of the mouse from our in-house developed Hepsia Control Panel. Apart from the most recent PHP 7, we also support 5.2, 5.3 and the older PHP 4. The latter has already been dropped by most hosting suppliers, but we feel that you should not be forced to modify a website that took years to build, since older script language syntax doesn’t inevitably imply safety flaws. Quite the opposite, a correctly maintained website using PHP 4 can be more secure than an incorrectly maintained one using PHP 5. For the sake of your convenience, we will also give you the possibility to set a different PHP version for each single website within the account.